> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/internal-jobs/dispatch-reminders-api-v-1-internal-jobs-reminders-dispatch-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Dispatch Reminders POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/internal-jobs/dispatch-reminders-api-v-1-internal-jobs-reminders-dispatch-post ## Request ### Headers - `x-whizboard-job-key` (string, optional, nullable) ## Response ### 200 Successful Response - `data` (ReminderDispatchResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ReminderDispatchResponse - `processed_reminders` (integer, required) - `created_notifications` (integer, required) - `sent_emails` (integer, required) - `failed_emails` (integer, required) - `skipped_duplicates` (integer, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Response** ```json { "data": { "processed_reminders": 1, "created_notifications": 1, "sent_emails": 1, "failed_emails": 1, "skipped_duplicates": 1 }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch" response = requests.post(url) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch'; const options = {method: 'POST'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch" req, _ := http.NewRequest("POST", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch") .asString(); ``` ```php request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch"); var request = new RestRequest(Method.POST); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/reminders/dispatch")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```